Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] Chroot git upload pack
@ 2021-10-20  5:58 sgn
  2021-10-20  6:15 ` [PR PATCH] [Updated] " sgn
                   ` (5 more replies)
  0 siblings, 6 replies; 7+ messages in thread
From: sgn @ 2021-10-20  5:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1591 bytes --]

There is a new pull request by sgn against master on the void-packages repository

https://github.com/sgn/void-packages chroot-git-upload-pack
https://github.com/void-linux/void-packages/pull/33649

Chroot git upload pack
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/33649.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-chroot-git-upload-pack-33649.patch --]
[-- Type: text/x-diff, Size: 2693 bytes --]

From ea067cd97fecc6de205841a1fc18ba404d65b9cb Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:45:53 +0700
Subject: [PATCH 1/2] chroot-git: update to 2.33.1, allow git-clone local
 repository

---
 srcpkgs/chroot-git/template | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/chroot-git/template b/srcpkgs/chroot-git/template
index cda37b356a55..66a46988cdcd 100644
--- a/srcpkgs/chroot-git/template
+++ b/srcpkgs/chroot-git/template
@@ -1,7 +1,7 @@
 # Template file for 'chroot-git'
 pkgname=chroot-git
-version=2.33.0
-revision=2
+version=2.33.1
+revision=1
 bootstrap=yes
 wrksrc="git-${version}"
 makedepends="zlib-devel"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-only"
 homepage="https://git-scm.com/"
 distfiles="https://www.kernel.org/pub/software/scm/git/git-${version}.tar.xz"
-checksum=bf3c6ab5f82e072aad4768f647cfb1ef60aece39855f83f080f9c0222dd20c4f
+checksum=e054a6e6c2b088bd1bff5f61ed9ba5aa91c9a3cd509539a4b41c5ddf02201f2f
 
 if [ "$CHROOT_READY" ]; then
 	checkdepends="perl gnupg"
@@ -39,6 +39,8 @@ do_configure() {
 	GIT_PROVE_OPTS = $makejobs
 	# firstword (uname -m)
 	HOST_CPU = ${XBPS_TARGET_MACHINE%-musl}
+	SKIP_DASHED_BUILT_INS = Yes
+	gitexecdir = libexec/chroot-git
 	EOF
 
 	if [ "$XBPS_TARGET_LIBC" = musl ]; then
@@ -62,4 +64,8 @@ do_check() {
 
 do_install() {
 	vbin git chroot-git
+	vmkdir usr/libexec/chroot-git
+	ln -s ../../bin/chroot-git $DESTDIR/usr/libexec/chroot-git/git
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-upload-pack
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-receive-pack
 }

From 457025bc5b32fde339e5632be2b3dca8e5943611 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:57:33 +0700
Subject: [PATCH 2/2] test-chroot-git

---
 common/travis/build.sh | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/common/travis/build.sh b/common/travis/build.sh
index f5cf9cffc064..c5ee88a98b1b 100755
--- a/common/travis/build.sh
+++ b/common/travis/build.sh
@@ -17,4 +17,24 @@ for pkg in ${PKGS}; do
 	[ $? -eq 1 ] && exit 1
 done
 
+xbps-install -R "$HOME"/hostdir/binpkgs -u
+
+chroot-git clone /void-packages /xhostrepo
+ln -s / /xhostrepo/masterdir
+cd /xhostrepo
+chroot-git fetch
+chroot-git reset --hard "$GIT_REV"
+cd -
+
+cat <<! >/xhostrepo/etc/conf
+XBPS_CHROOT_CMD=ethereal
+XBPS_ALLOW_CHROOT_BREAKOUT=yes
+!
+
+if [ "${HOST}" != "${TARGET}" ] ; then
+	        opts="-a ${TARGET}"
+fi
+
+/xhostrepo/xbps-src -H "$HOME"/hostdir pkg git
+
 exit 0

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] Chroot git upload pack
  2021-10-20  5:58 [PR PATCH] Chroot git upload pack sgn
@ 2021-10-20  6:15 ` sgn
  2021-10-20  6:17 ` sgn
                   ` (4 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: sgn @ 2021-10-20  6:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1596 bytes --]

There is an updated pull request by sgn against master on the void-packages repository

https://github.com/sgn/void-packages chroot-git-upload-pack
https://github.com/void-linux/void-packages/pull/33649

Chroot git upload pack
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/33649.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-chroot-git-upload-pack-33649.patch --]
[-- Type: text/x-diff, Size: 2934 bytes --]

From ea067cd97fecc6de205841a1fc18ba404d65b9cb Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:45:53 +0700
Subject: [PATCH 1/2] chroot-git: update to 2.33.1, allow git-clone local
 repository

---
 srcpkgs/chroot-git/template | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/chroot-git/template b/srcpkgs/chroot-git/template
index cda37b356a55..66a46988cdcd 100644
--- a/srcpkgs/chroot-git/template
+++ b/srcpkgs/chroot-git/template
@@ -1,7 +1,7 @@
 # Template file for 'chroot-git'
 pkgname=chroot-git
-version=2.33.0
-revision=2
+version=2.33.1
+revision=1
 bootstrap=yes
 wrksrc="git-${version}"
 makedepends="zlib-devel"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-only"
 homepage="https://git-scm.com/"
 distfiles="https://www.kernel.org/pub/software/scm/git/git-${version}.tar.xz"
-checksum=bf3c6ab5f82e072aad4768f647cfb1ef60aece39855f83f080f9c0222dd20c4f
+checksum=e054a6e6c2b088bd1bff5f61ed9ba5aa91c9a3cd509539a4b41c5ddf02201f2f
 
 if [ "$CHROOT_READY" ]; then
 	checkdepends="perl gnupg"
@@ -39,6 +39,8 @@ do_configure() {
 	GIT_PROVE_OPTS = $makejobs
 	# firstword (uname -m)
 	HOST_CPU = ${XBPS_TARGET_MACHINE%-musl}
+	SKIP_DASHED_BUILT_INS = Yes
+	gitexecdir = libexec/chroot-git
 	EOF
 
 	if [ "$XBPS_TARGET_LIBC" = musl ]; then
@@ -62,4 +64,8 @@ do_check() {
 
 do_install() {
 	vbin git chroot-git
+	vmkdir usr/libexec/chroot-git
+	ln -s ../../bin/chroot-git $DESTDIR/usr/libexec/chroot-git/git
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-upload-pack
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-receive-pack
 }

From af94e2fafff116ebb9818f9157b4b8059794da02 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:57:33 +0700
Subject: [PATCH 2/2] test-chroot-git

---
 common/travis/build.sh | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

diff --git a/common/travis/build.sh b/common/travis/build.sh
index f5cf9cffc064..93cf859b6d2e 100755
--- a/common/travis/build.sh
+++ b/common/travis/build.sh
@@ -3,11 +3,12 @@
 # build.sh
 
 if [ "$1" != "$2" ]; then
+	exit 0
 	arch="-a $2"
 fi
 
 if [ "$3" = 1 ]; then
-	test="-Q"
+	: test="-Q"
 fi
 
 PKGS=$(/hostrepo/xbps-src sort-dependencies $(cat /tmp/templates))
@@ -17,4 +18,24 @@ for pkg in ${PKGS}; do
 	[ $? -eq 1 ] && exit 1
 done
 
+xbps-install -R "$HOME"/hostdir/binpkgs -u
+
+chroot-git clone /hostrepo /xhostrepo || exit
+ln -s / /xhostrepo/masterdir
+cd /xhostrepo
+chroot-git fetch
+chroot-git reset --hard "$GIT_REV"
+cd -
+
+cat <<! >/xhostrepo/etc/conf
+XBPS_CHROOT_CMD=ethereal
+XBPS_ALLOW_CHROOT_BREAKOUT=yes
+!
+
+if [ "${HOST}" != "${TARGET}" ] ; then
+	        opts="-a ${TARGET}"
+fi
+
+/xhostrepo/xbps-src -H "$HOME"/hostdir pkg git || exit
+
 exit 0

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] Chroot git upload pack
  2021-10-20  5:58 [PR PATCH] Chroot git upload pack sgn
  2021-10-20  6:15 ` [PR PATCH] [Updated] " sgn
@ 2021-10-20  6:17 ` sgn
  2021-10-20  6:22 ` sgn
                   ` (3 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: sgn @ 2021-10-20  6:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1596 bytes --]

There is an updated pull request by sgn against master on the void-packages repository

https://github.com/sgn/void-packages chroot-git-upload-pack
https://github.com/void-linux/void-packages/pull/33649

Chroot git upload pack
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/33649.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-chroot-git-upload-pack-33649.patch --]
[-- Type: text/x-diff, Size: 2960 bytes --]

From ea067cd97fecc6de205841a1fc18ba404d65b9cb Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:45:53 +0700
Subject: [PATCH 1/2] chroot-git: update to 2.33.1, allow git-clone local
 repository

---
 srcpkgs/chroot-git/template | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/chroot-git/template b/srcpkgs/chroot-git/template
index cda37b356a55..66a46988cdcd 100644
--- a/srcpkgs/chroot-git/template
+++ b/srcpkgs/chroot-git/template
@@ -1,7 +1,7 @@
 # Template file for 'chroot-git'
 pkgname=chroot-git
-version=2.33.0
-revision=2
+version=2.33.1
+revision=1
 bootstrap=yes
 wrksrc="git-${version}"
 makedepends="zlib-devel"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-only"
 homepage="https://git-scm.com/"
 distfiles="https://www.kernel.org/pub/software/scm/git/git-${version}.tar.xz"
-checksum=bf3c6ab5f82e072aad4768f647cfb1ef60aece39855f83f080f9c0222dd20c4f
+checksum=e054a6e6c2b088bd1bff5f61ed9ba5aa91c9a3cd509539a4b41c5ddf02201f2f
 
 if [ "$CHROOT_READY" ]; then
 	checkdepends="perl gnupg"
@@ -39,6 +39,8 @@ do_configure() {
 	GIT_PROVE_OPTS = $makejobs
 	# firstword (uname -m)
 	HOST_CPU = ${XBPS_TARGET_MACHINE%-musl}
+	SKIP_DASHED_BUILT_INS = Yes
+	gitexecdir = libexec/chroot-git
 	EOF
 
 	if [ "$XBPS_TARGET_LIBC" = musl ]; then
@@ -62,4 +64,8 @@ do_check() {
 
 do_install() {
 	vbin git chroot-git
+	vmkdir usr/libexec/chroot-git
+	ln -s ../../bin/chroot-git $DESTDIR/usr/libexec/chroot-git/git
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-upload-pack
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-receive-pack
 }

From 1ad5497c14c77df523bd337b5f35df527cbd61f7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:57:33 +0700
Subject: [PATCH 2/2] test-chroot-git

---
 common/travis/build.sh | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

diff --git a/common/travis/build.sh b/common/travis/build.sh
index f5cf9cffc064..69cdf4096680 100755
--- a/common/travis/build.sh
+++ b/common/travis/build.sh
@@ -3,11 +3,12 @@
 # build.sh
 
 if [ "$1" != "$2" ]; then
+	exit 0
 	arch="-a $2"
 fi
 
 if [ "$3" = 1 ]; then
-	test="-Q"
+	: test="-Q"
 fi
 
 PKGS=$(/hostrepo/xbps-src sort-dependencies $(cat /tmp/templates))
@@ -17,4 +18,26 @@ for pkg in ${PKGS}; do
 	[ $? -eq 1 ] && exit 1
 done
 
+xbps-install -R "$HOME"/hostdir/binpkgs -u
+
+chroot-git --version
+
+chroot-git clone /hostrepo /xhostrepo || exit
+ln -s / /xhostrepo/masterdir
+cd /xhostrepo
+chroot-git fetch
+chroot-git reset --hard "$GIT_REV"
+cd -
+
+cat <<! >/xhostrepo/etc/conf
+XBPS_CHROOT_CMD=ethereal
+XBPS_ALLOW_CHROOT_BREAKOUT=yes
+!
+
+if [ "${HOST}" != "${TARGET}" ] ; then
+	        opts="-a ${TARGET}"
+fi
+
+/xhostrepo/xbps-src -H "$HOME"/hostdir pkg git || exit
+
 exit 0

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] Chroot git upload pack
  2021-10-20  5:58 [PR PATCH] Chroot git upload pack sgn
  2021-10-20  6:15 ` [PR PATCH] [Updated] " sgn
  2021-10-20  6:17 ` sgn
@ 2021-10-20  6:22 ` sgn
  2021-10-20 10:01 ` sgn
                   ` (2 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: sgn @ 2021-10-20  6:22 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1596 bytes --]

There is an updated pull request by sgn against master on the void-packages repository

https://github.com/sgn/void-packages chroot-git-upload-pack
https://github.com/void-linux/void-packages/pull/33649

Chroot git upload pack
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/33649.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-chroot-git-upload-pack-33649.patch --]
[-- Type: text/x-diff, Size: 2961 bytes --]

From ea067cd97fecc6de205841a1fc18ba404d65b9cb Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:45:53 +0700
Subject: [PATCH 1/2] chroot-git: update to 2.33.1, allow git-clone local
 repository

---
 srcpkgs/chroot-git/template | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/chroot-git/template b/srcpkgs/chroot-git/template
index cda37b356a55..66a46988cdcd 100644
--- a/srcpkgs/chroot-git/template
+++ b/srcpkgs/chroot-git/template
@@ -1,7 +1,7 @@
 # Template file for 'chroot-git'
 pkgname=chroot-git
-version=2.33.0
-revision=2
+version=2.33.1
+revision=1
 bootstrap=yes
 wrksrc="git-${version}"
 makedepends="zlib-devel"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-only"
 homepage="https://git-scm.com/"
 distfiles="https://www.kernel.org/pub/software/scm/git/git-${version}.tar.xz"
-checksum=bf3c6ab5f82e072aad4768f647cfb1ef60aece39855f83f080f9c0222dd20c4f
+checksum=e054a6e6c2b088bd1bff5f61ed9ba5aa91c9a3cd509539a4b41c5ddf02201f2f
 
 if [ "$CHROOT_READY" ]; then
 	checkdepends="perl gnupg"
@@ -39,6 +39,8 @@ do_configure() {
 	GIT_PROVE_OPTS = $makejobs
 	# firstword (uname -m)
 	HOST_CPU = ${XBPS_TARGET_MACHINE%-musl}
+	SKIP_DASHED_BUILT_INS = Yes
+	gitexecdir = libexec/chroot-git
 	EOF
 
 	if [ "$XBPS_TARGET_LIBC" = musl ]; then
@@ -62,4 +64,8 @@ do_check() {
 
 do_install() {
 	vbin git chroot-git
+	vmkdir usr/libexec/chroot-git
+	ln -s ../../bin/chroot-git $DESTDIR/usr/libexec/chroot-git/git
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-upload-pack
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-receive-pack
 }

From e027cbf02e6b5155df1e96d8f99a99012b5167db Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:57:33 +0700
Subject: [PATCH 2/2] test-chroot-git

---
 common/travis/build.sh | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

diff --git a/common/travis/build.sh b/common/travis/build.sh
index f5cf9cffc064..5878e79ae8e9 100755
--- a/common/travis/build.sh
+++ b/common/travis/build.sh
@@ -3,11 +3,12 @@
 # build.sh
 
 if [ "$1" != "$2" ]; then
+	exit 0
 	arch="-a $2"
 fi
 
 if [ "$3" = 1 ]; then
-	test="-Q"
+	: test="-Q"
 fi
 
 PKGS=$(/hostrepo/xbps-src sort-dependencies $(cat /tmp/templates))
@@ -17,4 +18,26 @@ for pkg in ${PKGS}; do
 	[ $? -eq 1 ] && exit 1
 done
 
+xbps-install -R "$HOME"/hostdir/binpkgs -yu
+
+chroot-git --version
+
+chroot-git clone /hostrepo /xhostrepo || exit
+ln -s / /xhostrepo/masterdir
+cd /xhostrepo
+chroot-git fetch
+chroot-git reset --hard "$GIT_REV"
+cd -
+
+cat <<! >/xhostrepo/etc/conf
+XBPS_CHROOT_CMD=ethereal
+XBPS_ALLOW_CHROOT_BREAKOUT=yes
+!
+
+if [ "${HOST}" != "${TARGET}" ] ; then
+	        opts="-a ${TARGET}"
+fi
+
+/xhostrepo/xbps-src -H "$HOME"/hostdir pkg git || exit
+
 exit 0

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] Chroot git upload pack
  2021-10-20  5:58 [PR PATCH] Chroot git upload pack sgn
                   ` (2 preceding siblings ...)
  2021-10-20  6:22 ` sgn
@ 2021-10-20 10:01 ` sgn
  2021-10-20 13:58 ` sgn
  2021-10-20 13:59 ` [PR PATCH] [Merged]: " sgn
  5 siblings, 0 replies; 7+ messages in thread
From: sgn @ 2021-10-20 10:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1596 bytes --]

There is an updated pull request by sgn against master on the void-packages repository

https://github.com/sgn/void-packages chroot-git-upload-pack
https://github.com/void-linux/void-packages/pull/33649

Chroot git upload pack
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/33649.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-chroot-git-upload-pack-33649.patch --]
[-- Type: text/x-diff, Size: 3001 bytes --]

From ea067cd97fecc6de205841a1fc18ba404d65b9cb Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:45:53 +0700
Subject: [PATCH 1/2] chroot-git: update to 2.33.1, allow git-clone local
 repository

---
 srcpkgs/chroot-git/template | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/chroot-git/template b/srcpkgs/chroot-git/template
index cda37b356a55..66a46988cdcd 100644
--- a/srcpkgs/chroot-git/template
+++ b/srcpkgs/chroot-git/template
@@ -1,7 +1,7 @@
 # Template file for 'chroot-git'
 pkgname=chroot-git
-version=2.33.0
-revision=2
+version=2.33.1
+revision=1
 bootstrap=yes
 wrksrc="git-${version}"
 makedepends="zlib-devel"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-only"
 homepage="https://git-scm.com/"
 distfiles="https://www.kernel.org/pub/software/scm/git/git-${version}.tar.xz"
-checksum=bf3c6ab5f82e072aad4768f647cfb1ef60aece39855f83f080f9c0222dd20c4f
+checksum=e054a6e6c2b088bd1bff5f61ed9ba5aa91c9a3cd509539a4b41c5ddf02201f2f
 
 if [ "$CHROOT_READY" ]; then
 	checkdepends="perl gnupg"
@@ -39,6 +39,8 @@ do_configure() {
 	GIT_PROVE_OPTS = $makejobs
 	# firstword (uname -m)
 	HOST_CPU = ${XBPS_TARGET_MACHINE%-musl}
+	SKIP_DASHED_BUILT_INS = Yes
+	gitexecdir = libexec/chroot-git
 	EOF
 
 	if [ "$XBPS_TARGET_LIBC" = musl ]; then
@@ -62,4 +64,8 @@ do_check() {
 
 do_install() {
 	vbin git chroot-git
+	vmkdir usr/libexec/chroot-git
+	ln -s ../../bin/chroot-git $DESTDIR/usr/libexec/chroot-git/git
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-upload-pack
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-receive-pack
 }

From 2233b4fee1facc42f7e920a377ac96c147329e7c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:57:33 +0700
Subject: [PATCH 2/2] test-chroot-git

---
 common/travis/build.sh | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

diff --git a/common/travis/build.sh b/common/travis/build.sh
index f5cf9cffc064..4eefa5c39269 100755
--- a/common/travis/build.sh
+++ b/common/travis/build.sh
@@ -3,11 +3,12 @@
 # build.sh
 
 if [ "$1" != "$2" ]; then
+	exit 0
 	arch="-a $2"
 fi
 
 if [ "$3" = 1 ]; then
-	test="-Q"
+	: test="-Q"
 fi
 
 PKGS=$(/hostrepo/xbps-src sort-dependencies $(cat /tmp/templates))
@@ -17,4 +18,26 @@ for pkg in ${PKGS}; do
 	[ $? -eq 1 ] && exit 1
 done
 
+xbps-install -R "$HOME"/hostdir/binpkgs -yu
+
+chroot-git --version
+
+chroot-git clone /hostrepo /xhostrepo || exit
+ln -s / /xhostrepo/masterdir
+cd /xhostrepo
+chroot-git fetch git://github.com/void-linux/void-packages.git
+chroot-git reset --hard HEAD
+cd -
+
+cat <<! >/xhostrepo/etc/conf
+XBPS_CHROOT_CMD=ethereal
+XBPS_ALLOW_CHROOT_BREAKOUT=yes
+!
+
+if [ "${HOST}" != "${TARGET}" ] ; then
+	        opts="-a ${TARGET}"
+fi
+
+/xhostrepo/xbps-src -H "$HOME"/hostdir pkg git || exit
+
 exit 0

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Updated] Chroot git upload pack
  2021-10-20  5:58 [PR PATCH] Chroot git upload pack sgn
                   ` (3 preceding siblings ...)
  2021-10-20 10:01 ` sgn
@ 2021-10-20 13:58 ` sgn
  2021-10-20 13:59 ` [PR PATCH] [Merged]: " sgn
  5 siblings, 0 replies; 7+ messages in thread
From: sgn @ 2021-10-20 13:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1596 bytes --]

There is an updated pull request by sgn against master on the void-packages repository

https://github.com/sgn/void-packages chroot-git-upload-pack
https://github.com/void-linux/void-packages/pull/33649

Chroot git upload pack
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/33649.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-chroot-git-upload-pack-33649.patch --]
[-- Type: text/x-diff, Size: 1703 bytes --]

From ea067cd97fecc6de205841a1fc18ba404d65b9cb Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 20 Oct 2021 12:45:53 +0700
Subject: [PATCH] chroot-git: update to 2.33.1, allow git-clone local
 repository

---
 srcpkgs/chroot-git/template | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/chroot-git/template b/srcpkgs/chroot-git/template
index cda37b356a55..66a46988cdcd 100644
--- a/srcpkgs/chroot-git/template
+++ b/srcpkgs/chroot-git/template
@@ -1,7 +1,7 @@
 # Template file for 'chroot-git'
 pkgname=chroot-git
-version=2.33.0
-revision=2
+version=2.33.1
+revision=1
 bootstrap=yes
 wrksrc="git-${version}"
 makedepends="zlib-devel"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-only"
 homepage="https://git-scm.com/"
 distfiles="https://www.kernel.org/pub/software/scm/git/git-${version}.tar.xz"
-checksum=bf3c6ab5f82e072aad4768f647cfb1ef60aece39855f83f080f9c0222dd20c4f
+checksum=e054a6e6c2b088bd1bff5f61ed9ba5aa91c9a3cd509539a4b41c5ddf02201f2f
 
 if [ "$CHROOT_READY" ]; then
 	checkdepends="perl gnupg"
@@ -39,6 +39,8 @@ do_configure() {
 	GIT_PROVE_OPTS = $makejobs
 	# firstword (uname -m)
 	HOST_CPU = ${XBPS_TARGET_MACHINE%-musl}
+	SKIP_DASHED_BUILT_INS = Yes
+	gitexecdir = libexec/chroot-git
 	EOF
 
 	if [ "$XBPS_TARGET_LIBC" = musl ]; then
@@ -62,4 +64,8 @@ do_check() {
 
 do_install() {
 	vbin git chroot-git
+	vmkdir usr/libexec/chroot-git
+	ln -s ../../bin/chroot-git $DESTDIR/usr/libexec/chroot-git/git
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-upload-pack
+	ln -s git $DESTDIR/usr/libexec/chroot-git/git-receive-pack
 }

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PR PATCH] [Merged]: Chroot git upload pack
  2021-10-20  5:58 [PR PATCH] Chroot git upload pack sgn
                   ` (4 preceding siblings ...)
  2021-10-20 13:58 ` sgn
@ 2021-10-20 13:59 ` sgn
  5 siblings, 0 replies; 7+ messages in thread
From: sgn @ 2021-10-20 13:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1433 bytes --]

There's a merged pull request on the void-packages repository

Chroot git upload pack
https://github.com/void-linux/void-packages/pull/33649

Description:
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2021-10-20 13:59 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-10-20  5:58 [PR PATCH] Chroot git upload pack sgn
2021-10-20  6:15 ` [PR PATCH] [Updated] " sgn
2021-10-20  6:17 ` sgn
2021-10-20  6:22 ` sgn
2021-10-20 10:01 ` sgn
2021-10-20 13:58 ` sgn
2021-10-20 13:59 ` [PR PATCH] [Merged]: " sgn

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).